var img;

var nw,nh;
var t,tInc;
var t2,tInc2;
var delement;

function setup() {
  delement = select("#viz");
  nw = delement.size().width;
  nh = 400*nw/960;
  var canvas = createCanvas(nw, nh);
  canvas.parent('viz');
  background(0, 0, 0);
  t = 0;
  tInc = 0.01;
  t2 = 0;
  tInc2 = 0.001;
}

function draw() {
  t = t + tInc;
  if(random(0,100)>96){
    tInc = random(0.001,0.3);
  }
  t2 = t2 + tInc2;
  if(random(0,100)>96){
    tInc2 = random(0.001,0.2);
  }
  background(255,255,255);
  
  
  noFill();
  stroke(229,42,36);
  
  
  var sy = 0;
  var sw = 20;
  var dj = 40;
  var di = width/20;
  
  for(var j = 0; j<height; j=j+dj){
    sy = j;
    sw = sw - sw/8;
    
    if(sw>=1){
      strokeWeight(sw);
      
      for(var i = 0; i<width; i+=di){
        line( 
          i, 
          sy + (height/6)*cos(t+sin(t2/100)*(6*PI)*i/width)  , 
          i+di, 
          sy + (height/6)*cos(t+sin(t2/100)*(6*PI)*(i+di)/width)      
        );
      }
    }
  }
  
  image(img,0,0,img.width,img.height,0,0,width,height);
}

function windowResized() {
  nw = delement.size().width;
  nh = img.height*nw/img.width;
  resizeCanvas(nw, nh);
}

function preload(){
  
  img = loadImage('http://www.artisopensource.net/aos-sketches/Aos-viz/assets/AOS-inverse.png');
  
  nw = 960;
  nh = img.height*nw/img.width;
  
}